import { JavaObject } from '../../../java/lang/JavaObject';
export declare class Schuljahresabschnitt extends JavaObject {
    id: number;
    schuljahr: number;
    abschnitt: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): Schuljahresabschnitt;
    static transpilerToJSON(obj: Schuljahresabschnitt): string;
    static transpilerToJSONPatch(obj: Partial<Schuljahresabschnitt>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schule_Schuljahresabschnitt(obj: unknown): Schuljahresabschnitt;
